xsec-checksig.pod(1)

NAME
xmlsec-checksig - Check a signature embedded in an XML file

SYNOPSIS
xmlsec-checksig [-s] [-h string] [-x] [-d ns-uri name]
    [-i] [--id name] input

DESCRIPTION
xmlsec-checksig checks a digital signature embedded in an XML file using the Apache XML Security for C++ library. It reads the XML document to check from the provided input file and expects the signature to follow the XML Digital Signature and Encryption specifications.

OPTIONS
Note that each option must be given as a separate argument.

--hmackey string, -h string
    Use the HMAC key specified by string.

--id name
    Use the attribute id with name name. To also specify the namespace, use --idns instead.

--idns ns-uri name, -d ns-uri name
    Use the attribute id specified by the namespace URI ns-uri and the name name.

--interop, -i
    Use the interop resolver for the Baltimore interop examples.

--skiprefs, -s
    Skip checking references and only check the signature.

--xsecresolver, -x
    Use the Apache XML Security for C++ test XMLDSig URI resolver.

RETURN STATUS
xmlsec-checksig exits with status 0 if the signature is valid and with status 1 if the signature is not valid. If it cannot process the input file for some reason, it exits with status 2.

AUTHOR
This manual page was written by Russ Allbery for Debian.

MANUAL LICENSE
The authors hereby relinquish any claim to any copyright that they may have in this work, whether granted under contract or by operation of law or international treaty, and hereby commit to the public, at large, that they shall not, at any time in the future, seek to enforce any copyright in this work against any person or entity, or prevent any person or entity from copying, publishing, distributing or creating derivative works of this work.